import java.awt.*;
import java.awt.event.*;

public class XMsg extends Panel implements ActionListener
{
	Timer xTimer;
	boolean timerEvent=false, timerStarted=false;
	int tick=-1;
	Button btnMsg = new Button();

	public XMsg()
	{
		super();
		this.setLayout(null);
		btnMsg.setBounds(133, 133, 80, 23);
		btnMsg.addActionListener(this);
		btnMsg.setActionCommand("CLOSE_MSG");
		this.add(btnMsg);
		this.setVisible(false);
	}

	public void staticMessage() { btnMsg.setLabel("OK"); }

	public void startTimer()
	{
		if(timerStarted) return;
		btnMsg.setLabel("Cancel");
		xTimer = new Timer(110);
		xTimer.addActionListener(this);
		tick = -1;
		timerStarted=true;
		xTimer.start();
	}

	public void stopTimer()
	{
		if(timerStarted)
		{	xTimer.interrupt();
			timerStarted=false;
		}
	}

	public void update(Graphics g) { paint(g); }

	public void paint(Graphics g)
	{
		if(timerEvent) { timerEvent=false;  XToolkit.updateMsgClock(g, tick); }
		else XToolkit.drawMsgbox(g);
	}

	public void actionPerformed(ActionEvent e)
	{
		if(e.getActionCommand().equals("CLOSE_MSG"))
		{
			XToolkit.closeMessage();
			return;
		}

		tick++;
		//if(tick > 24) { xTimer.interrupt(); this.setVisible(false); return; }
		timerEvent = true;
		repaint();
	}

}
