//This interface is implemented by all Billing Modules
//and serves as a messaging gateway between a module and
//the rest of the application

public interface AppModule
{
	//Module IDs
	public static final short INVOICES=0;
	public static final short PAYMENTS=1;
	public static final short ADJUSTMENTS=2;
	public static final short REPORTS=3;
	public static final short TOOLS=4;

	//Module Names
	public static final String[] moduleName = {  "Invoices", "Payments", "Adjustments",
																"Reports", "Tools" };
	public short getModuleID();

	public java.awt.Container getModuleContainer();

	public void setActive(boolean state);

	public void reset();
}
