import java.awt.event.*;

public class Timer extends Thread
{
	int intervalMillis=100;
	ActionListener timerListener=null;

	public Timer(int millis)
	{	super();
		intervalMillis = millis;
	}

	public void addActionListener(ActionListener a)
	{
		timerListener = a;
	}

	public void setInterval(int millis)
	{
		intervalMillis = millis;
	}

	public void run()
	{
		try {
			while(true)
			{
			this.sleep(intervalMillis);
			timerListener.actionPerformed(new ActionEvent(this, ActionEvent.ACTION_PERFORMED, "TIMER"));
			}
		} catch (InterruptedException e) { }
	}
}
